export declare class SHJUtils {
    static componentRefs: {
        id: string;
        ref: any;
    }[];
    /**
     * 注册组件Ref
     * @param id
     * @returns
     */
    static registerRef(id: string): (el: any) => void;
    /**
     * 获取组件Ref
     * @param id
     * @returns
     */
    static getComponentRef(id: string): {
        id: string;
        ref: any;
    };
    /**
     * 清除组件Ref
     */
    static clearComponentRefs(): void;
    /**
     * 获取下一个元素
     * @param arr 数组
     * @param target 目标元素
     * @returns 下一个元素
     */
    static getNextElement(arr: string[], target: string): string;
}
